/***************************************************************************
                   Service Change Class Header ( ServiceChange.h )
                -----------------------------------------

	begin      : 2013/03/14
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/14 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __SERVICE_CHANGE_H__
#define __SERVICE_CHANGE_H__

class CJob;

class CServiceChange : public CJob
{
public:
	CServiceChange();
	virtual ~CServiceChange();

	virtual int run( CJobDataMap &jobData );
protected:

private:

	int		SetUser(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		SetProduct(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		SetExtAuth(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		SetBandCtl(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		SetSyncLink(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		SetSvcMove(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		RemoveService(CRCDBControl &rcdb, CJobDataMap &jobData);
	int		ChkPolicyIgnoreCase(CRCDBControl &rcdb, CJobDataMap &jobData);
};


#endif // __SERVICE_CHANGE_H__
